Search documentation of megaco

# megaco_codec_transform (megaco v4.7.2.1)

View Source

Megaco message transformation utility.

This module implements a simple megaco message transformation utility.

Note that this module is not included in the runtime part of the application.

# Summary

## Functions

export_messages()

Equivalent to `export_messages/1`.

export_messages(MessagePackage)

Export the messages in the `MessagePackage` (default is `time_test`).

# Functions

# export_messages()

Equivalent to `export_messages/1`.

# export_messages(MessagePackage)

Export the messages in the `MessagePackage` (default is `time_test`).

The output produced by this function is a directory structure with the following structure:

    <message package>/pretty/<message-files>
                      compact/<message-files>
                      per/<message-files>
                      ber/<message-files>
                      erlang/<message-files>